import type { Manager } from "../Manager";
import type { IndexManager } from "../../settings";
import type { ITaskResponseResult } from "@webiny/tasks";
import type { IElasticsearchCreateIndexesTaskInput } from "./types";
export declare class CreateIndexesTaskRunner {
    private readonly manager;
    private readonly indexManager;
    constructor(manager: Manager<IElasticsearchCreateIndexesTaskInput>, indexManager: IndexManager);
    execute(matching: string | undefined, done: string[]): Promise<ITaskResponseResult>;
}
